<template>
    <image-button :editor="editor" />
</template>

<script setup lang="ts">
import makeButton from '../makeButton';
import makeIcon from '../makeIcon';
import type { TheEditor } from '../TheEditor';

defineProps<{
    editor: TheEditor,
}>()

const ImageButton = makeButton({
    title: 'insert image',
    content: makeIcon('image'),
    active: _ed => false,
    enabled: ed => ed.can().setImage({ src: '' }),
    action: ed => {
        let options = ed.extensionManager.extensions.find(ex => ex.name == 'image')?.options
        if (!options) return
        options.openImageDialog(ed)
    }
})
</script>